includeLibrary("/OpenForum/JarManager/JDBC/DBAccessExample/ClipLibrary/clip.js");
includeInitFunction("initConnections();");

function initConnections()
{
  connections = ajax.doGet( "/OpenForum/JarManager/JDBC/Action","listConnections=connections" );
  eval(connections)

 try{
  sqlField = document.getElementById("SQL");
  db = document.getElementById("query").db;

  for(loop=0;loop<connections.length;loop++)
  {
    db.options[db.options.length] = new Option( connections[loop], connections[loop], false);
  }
 }
 catch(e)
 {
   alert(e);
 }
}

function doSqlQuery()
{
  query = document.getElementById("query");
  db = query.db.options[query.db.selectedIndex].value;
  sql = query.SQL.value;
  sql = escape(escape( sql.replace('\n',' ').replace('\r',' ') ));

  resultHtml = ajax.doGet( "/OpenForum/JarManager/JDBC/Action","SQL="+sql+"&db="+db );

  document.getElementById("result").innerHTML = resultHtml;
}

function doSqlExecute()
{
  query = document.getElementById("query");
  db = query.db.options[query.db.selectedIndex].value;
  sql = query.SQL.value;
  sql = escape(escape( sql.replace('\n',' ') ));

  result = ajax.doGet( "/OpenForum/JarManager/JDBC/Action","SQL="+sql+"&db="+db+"&type=execute" );

  if(result=="true")
  {
    resultHtml = "!!Request executed OK";
  }
  else
  {
    resultHtml = "!!Request Failed";
  }

  document.getElementById("result").innerHTML = resultHtml;
}

function save()
{
  SQL = document.getElementById("SQL").value;
  title = prompt("Enter a description for this SQL");

  fileManager.saveFile( "/OpenForum/JarManager/JDBC/DBAccessExample/ClipLibrary",title+".clip",SQL );

  wikiData = fileManager.loadFile( "/OpenForum/JarManager/JDBC/DBAccessExample/ClipLibrary","page.wiki" );
  wikiData += "|"+title;
  wikiData += "|<a href=\"\" onclick=\"loadSQLClip('/OpenForum/JarManager/JDBC/DBAccessExample/ClipLibrary','"+title+".clip');return false;\" title=\"Paste Code\">";
  wikiData += "<img src=\"/OpenForum/Images/icons/gif/page_paste.gif\" border=\"0\">";
  wikiData += "</a>\n";

  fileManager.saveFile( "/OpenForum/JarManager/JDBC/DBAccessExample/ClipLibrary","page.wiki",wikiData );
  ajax.doGet( "/OpenForum/Actions/RefreshPage","pageName=/OpenForum/JarManager/JDBC/DBAccessExample/ClipLibrary" ); 

  showAlert("Saved SQL","Saved SQL as "+title+".clip in clip library");
}