version="1.003";
setLibraryVersion("/OpenForum/Javascript/ajax.js",version);

requestCount = 0;
function AjaxRequest(method,url,request,data,action,asynchronous)
{
        this.id = "request_"+requestCount;
        requestCount++;
        eval( this.id+"=this;" );

	this.method = method;
	this.url = url;
	this.request = request;
	this.data = data;
	this.action = action
	this.asynchronous = asynchronous;

        this.transaction = null;

	this.processTransactionStateChange = function processTransactionStateChange(ev)
	{
		if (this.transaction.readyState == 4)
		{
			if (this.transaction.status == 200)
			{
			    if(this.action!="")
			    {
//alert("action "+this.action);
				this.data = this.action;
				this.data = this.data.replace(/&response;/g,encodeURIComponent(this.transaction.responseText));
//alert("eval "+this.data);
				eval( this.data );
                            }
                            else
                            {
//alert("no action");
			    }
			}
			else
			{
				ui.showAlert("Ajax Problem","There was a problem retrieving the data:\n"+this.transaction.statusText+"\nURL="+this.url+"?"+this.request);
			}
			eval( this.id+"=null;" );
			eval( this.id+"_process=null;" );
		}
	}
}

ajax = new function()
{
	this.postRequest = function postRequest( request )
	{
		request.asynchronous = true;
                this.sendRequest(request);
	}

	this.sendRequest = function sendRequest(request) {

		request.transaction = false;

		if(window.XMLHttpRequest)
		{
			try {
				request.transaction = new XMLHttpRequest();
			}
			catch(e)
			{
				alert(e);
				request.transaction = false;
			}
		}
		else if(window.ActiveXObject)
		{
			try {
				request.transaction = new ActiveXObject("Msxml2.XMLHTTP");
			}
			catch(e)
			{
				alert(e);
				try {
					request.transaction = new ActiveXObject("Microsoft.XMLHTTP");
				}
				catch(e)
				{
					alert(e);
					request.transaction = false;
				}
			}
		}
		if(request.transaction)
		{
			if(request.asynchronous == true)
			{
//alert("send async");
//alert(" to "+request.id);
//alert(" trnx "+request.transaction);

eval( request.id+"_process = function "+request.id+"_process(){ "+request.id+".processTransactionStateChange(); }" );

				request.transaction.onreadystatechange = eval(request.id+"_process");
				if(request.request!=null && request.request.length>0)
				{
					request.transaction.open(request.method, request.url+"?"+request.request,true);
				}
				else
				{
					request.transaction.open(request.method, request.url,true);
				}
				request.transaction.setRequestHeader("If-Modified-Since", new Date());
				request.transaction.send(request.data);
			}
			else
			{
				if(request.request!=null && request.request.length>0)
				{
					request.transaction.open(request.method, request.url+"?"+request.request,false);
				}
				else
				{
					request.transaction.open(request.method, request.url,false);
				}
				request.transaction.setRequestHeader("If-Modified-Since", new Date());
				request.transaction.send(request.data);
				this.currentRequest=null
				return encodeURIComponent(request.transaction.responseText);
			}
		}
		else
		{
			alert("failed");
		}
	}

	this.doGet = function doGet(pageName,request)
	{
		return decodeURIComponent(this.sendRequest( new AjaxRequest("GET",pageName,request,"","",false) ));
	}

	this.doPost = function doPost(pageName,dataArray)
	{
		this.data="";
		for(this.loop=0;this.loop<dataArray.length;this.loop++)
		{
			if(this.loop!=0)
			{
				this.data += "&";
			}
			this.data += dataArray[this.loop][0]+"="+encodeURIComponent(dataArray[this.loop][1]);
		}

		return decodeURIComponent(this.sendRequest( new AjaxRequest("POST",pageName,"",this.data,"",false) ));
	}
}


fileManager = new function()
{
	this.fileExists = function fileExists(pageName,fileName)
	{
		this.exists = decodeURIComponent(ajax.sendRequest( new AjaxRequest("GET","/OpenForum/Actions/AttachmentExists","pageName="+pageName+"&fileName="+fileName,"","",false) ));

		return eval(this.exists);
	}

	this.loadFile = function loadFile(pageName,fileName)
	{
		return decodeURIComponent(ajax.sendRequest( new AjaxRequest("GET",pageName+"/"+fileName,"","","",false) ));
	}

	this.saveFile = function saveFile(pageName,fileName,data)
	{
		data = "pageName="+encodeURIComponent(pageName)+"&fileName="+encodeURIComponent(fileName)+"&data="+encodeURIComponent(data);
		ajax.sendRequest( new AjaxRequest("POST","/OpenForum/Actions/Save","",data,"",false) );
	}

        this.loadXml = function(pageName,fileName)
        {
          this.code = decodeURIComponent(ajax.sendRequest( new AjaxRequest("GET","/OpenForum/Actions/GetXmlFileAsJS","pageName="+pageName+"&fileName="+fileName+"&varName=this.xml","","",false) ));
          eval(this.code);
          return this.xml;
        }

        this.loadList = function(pageName,fileName)
        {
          this.code = decodeURIComponent(ajax.sendRequest( new AjaxRequest("GET","/OpenForum/Actions/GetPagesListAsJavascript","pageName="+pageName+"&fileName="+fileName,"","",false) ));
          return eval(this.code);
        }
}