package org.one.stone.soup.oshelpers;

import java.io.IOException;
import java.util.Hashtable;

public class OSHelper {

	private static final String OS = System.getProperty("os.name");
	private static final Hashtable START_BROWSER = new Hashtable();
	static{
		START_BROWSER.put("Windows XP","rundll32 url.dll,FileProtocolHandler ");
		
	}
	
	private OSHelper(){}
	
	public static final boolean openBrowser(String url) throws IOException
	{
		String command = (String)START_BROWSER.get(OS);
		
		if(command==null)
		{
			return false;
		}
			
		Runtime.getRuntime().exec(command+url);
		return true;
	}
}
