package org.one.stone.soup.exception;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

import org.one.stone.soup.stringhelper.*;

public abstract class ExceptionTemplate extends Exception{

	public static String[] message;

	public ExceptionTemplate(int code,Object[] data) {
		super(getMessage(code,data));
	}

	public static String getMessage(int code, Object[] data) {
	
		if(code<message.length)
			return StringGenerator.generateStringWithMask(message[code],data);
		else
			return StringGenerator.generateStringWithMask(message[0],new Object[]{ new Integer(code) } );
	}
}
