package org.one.stone.soup.grfx;

import java.awt.*;
import java.awt.image.*;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

public class ImageFilter {

public static Image filter(Image image,Filter filter,Component owner) {

	int w = image.getWidth(owner);
	int h = image.getHeight(owner);
	int scan = w;
	int size = w*h;
	int[] data = new int[size];

	PixelGrabber pGrab = new PixelGrabber(image,0,0,w,h,data,0,scan);
//	PixelGrabber pGrab = new PixelGrabber(image,0,0,w,h,false);
	try{pGrab.grabPixels();}catch(Exception e){}
/*	System.out.println( "red mask = "+((DirectColorModel)pGrab.getColorModel()).getRedMask() );
	System.out.println( "green mask = "+((DirectColorModel)pGrab.getColorModel()).getGreenMask() );
	System.out.println( "blue mask = "+((DirectColorModel)pGrab.getColorModel()).getBlueMask() );*/

//	org.one.stone.soup.file.FileHelper.buildFile("C://Temp//dump.data",data);

	int[] newData = filter.process(data,w,h);

	MemoryImageSource mis = new MemoryImageSource(w,h,newData,0,scan);

	return owner.getToolkit().createImage(mis);
}
}
